Issue1110

Title Outlook2007 crashes after opening attachments of an encrypted message
Priority critical Status resolved
Category gpgol Due Date
Version 1.1.2 ExtLink  (go)
Superseder Nosy List Christoph, bernhard, emanuel, sebastien, werner
Assigned To Topics  (help)

Created on 2009-08-21.10:32:10 by emanuel, last changed 2011-12-27.14:50:38 by werner.

Files
File name Uploaded Type Edit Remove
Anhang 1 bernhard, 2010-07-27.15:57:03 text/plain
gpgol-20100830.log emanuel, 2010-08-30.15:08:26 text/x-log
Messages
msg4214 (view) Author: werner Date: 2011-12-27.14:50:38
Fixed in 1.1.3 - see issue1251.
msg4210 (view) Author: werner Date: 2011-12-23.15:50:46
I found the problem.  It is a plain stupid double free bug of an internal fixed
size buffer.  Will be fixed soon.

For the problem with the corrupted attachments, please see issue1251.
msg3800 (view) Author: emanuel Date: 2010-08-30.15:08:26
Tested with gpgol 1.1.2:
Open an openpgp signed+encrypted message with attachments. Outlook 2007 crashes
after double clicking the txt attachment. Gpgol log file attached.
msg3770 (view) Author: emanuel Date: 2010-07-30.15:08:17
Tested with gpg4win-2.1.0-svn1497 (= gpgol 1.1.2) + kleo 2.1.0-svn1156672:

Same problem as reported in msg3247.
msg3766 (view) Author: bernhard Date: 2010-07-27.15:57:03
----------  Weitergeleitete Nachricht  ----------
Datum: Montag, 26. Juli 2010
Von: Sebastien Lumineau <sebastien.lumineau@ac-grenoble.fr>
An: "g10 Code's BTS" <gnupg@bugs.g10code.com>

I have completed Christoph's tests with these 2 on WinXP (see text file
enclosed for details):

	1 - if the original mail was PGP encrypted, forwarding it would
	break attachments even though the mail is "clear" forwarded =
	neither signed nor encrypted

	2 - broken attachement depends on orignal file format: a file
	zipped under linux would not be broken whereas the same file zipped
	with IZarc under WinXP would (Christoph reports that an
	7-Zip archive would break as well)

Do not hesitate to ask for further tests on Win7 or WinXP if you need.

Regards,
Sebastien
msg3764 (view) Author: bernhard Date: 2010-07-26.07:50:33
There is also an issue1251 (GPGOL creates broken attachments in Outlook 2007)
about creating encrypted messages. I believe we have two seperate issues
here, though of course they might be caused by the same defect.

However issue1110 even crashes on correct attachements created by Kmail
and issue1251 leads to attachments that even mutt cannot decrypt.
msg3762 (view) Author: bernhard Date: 2010-07-26.07:46:18
Am Freitag, 23. Juli 2010 23:59:41 schrieb Sebastien Lumineau via BTS 
issue1257:
> I confirm that critical issue in Win7. Here is my config:
>   Windows 7
>   Outlook 2007 + MO SP2 (do not work without SP2 ether)
>   Gpg4win 2.0.3
>   GnuPG 2.0.14
>   GpgOL 1.1.1
>   GPA 0.9.0
>
> Message body is decrypted correctly while there's no way to handle
> attachment: try "view, open, save as" crashes outlook.
msg3631 (view) Author: emanuel Date: 2010-04-15.11:40:51
Tested with different mailer of sender:
An OpenPGP encrypted (or encrypted/signed) email sent by OL2007/GpgOL1.1.1 and
Kontact e35 (GNU/Linux).
Same problem for both emails: OL2007 crashes after opening an attachment.

It's a very critical issue for OL2007.
msg3630 (view) Author: emanuel Date: 2010-04-15.11:26:32
Still the same problem with gpg4win 2.0.2 (aka GpgOL 1.1.1).
msg3426 (view) Author: bernhard Date: 2009-12-01.13:53:34
Werner or Emanuel, any updates on this issues?
Still reproducable witn 2.0.1 (aka GpgOL 1.0.1)?
msg3347 (view) Author: emanuel Date: 2009-09-17.09:25:29
Still the same problem with Gpg4win 2.0.1-rc1.
msg3247 (view) Author: emanuel Date: 2009-08-21.10:32:10
Decrypt an OpenPGP encrypted email with Outlook2007 + GpgOL 1.0.0.
Open any attachment of this email.
-> Outlook2007 crashes!
(GpgOL log doesn't contains a reference to this problem.)

Tested with Gpg4win 2.0.0 + Vista + Outlook2007.

[There is _no_ problem with Outlook2003 (+ GpgOL 1.0.0 + WinXP).]
History
Date User Action Args
2011-12-27 14:50:38wernersetstatus: in-progress -> resolved
messages: + msg4214
2011-12-23 15:50:46wernersetstatus: chatting -> in-progress
messages: + msg4210
2010-08-30 15:08:26emanuelsetfiles: + gpgol-20100830.log
messages: + msg3800
2010-08-02 08:46:46wernersetassignedto: werner ->
2010-07-30 15:08:17emanuelsetversion: 1.1.1 -> 1.1.2
messages: + msg3770
2010-07-27 15:57:03bernhardsetfiles: + Anhang 1
messages: + msg3766
2010-07-26 07:50:33bernhardsetmessages: + msg3764
2010-07-26 07:46:18bernhardsetnosy: + Christoph, sebastien
messages: + msg3762
2010-07-26 07:45:25bernhardlinkissue1257 superseder
2010-04-15 11:40:51emanuelsetversion: 1.0.0 -> 1.1.1
messages: + msg3631
2010-04-15 11:26:32emanuelsetmessages: + msg3630
2009-12-01 13:53:34bernhardsetmessages: + msg3426
2009-09-17 09:25:29emanuelsetstatus: unread -> chatting
messages: + msg3347
2009-08-21 10:32:10emanuelcreate